{ config, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules
    ../../users/simon
  ];

  sbruder = {
    cpu.intel.enable = true;
    gpu.intel.enable = true;
    gui.enable = true;
    libvirt.enable = true;
    restic.enable = true;
    ssd.enable = true;
    wireguard.home = {
      enable = true;
      address = "10.80.0.4";
    };
  };

  boot.loader.grub.device = "/dev/disk/by-id/ata-INTEL_SSDSC2KB480G7_PHYS749202D6480BGN";

  boot.initrd.luks.devices = {
    root = {
      name = "root";
      device = "/dev/disk/by-uuid/f3a2fa57-581b-4e95-9a45-d61cda9edc54";
      preLVM = true;
      allowDiscards = true;
    };
  };

  networking.hostName = "nunotaba";
}
